.spin {
  animation: spin 1s linear infinite;
  display: inline-block;
}

@keyframes spin {
  to {
    transform: rotate(360deg);
  }
}

.text-dark-10 {
  color: #000000 !important;
}

.kustom-h3 span {
  font-weight: 800;
  background: linear-gradient(125deg, #b663ff, #13c1ef);
  text-transform: uppercase;
  -webkit-background-cLip: text;
  -webkit-text-filL-coLor: transparent;
}

.kustom-h3::after {
  content: '';
  margin-top: -5px;
  height: 3px;
  width: 25%;
  background: linear-gradient(125deg, #b663ff, #13c1ef);
  display: block;
}

.main {
  display: flex;
  justify-content: center;
  align-items: center;
}

.kustom-card {
  width: 100%;
  position: relative;
  background-color: rgb(16 16 16);
  border: 1px solid rgb(255 255 255 / 5%);
  border-radius: 1.5rem;
  padding: 1rem;
}

.kustom-card:after {
  content: "";
  height: 70px;
  width: 1px;
  position: absolute;
  left: -1px;
  top: 65%;
  transition: top, opacity;
  transition-duration: 600ms;
  transition-timing-function: ease;
  background: linear-gradient(transparent, mediumslateblue, transparent);
  box-shadow: 0 0 30px mediumslateblue;
  opacity: 0;
}

.kustom-card:after {
  top: 65%;
  opacity: 0;
}

.kustom-card:hover:after {
  top: 25%;
  opacity: 1;
}

.kustom-card-content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background-image: radial-gradient(rgba(255, 255, 255, 0.1) 1px,
      transparent 1px);
  background-position: 50% 50%;
  background-size: 1.1rem 1.1rem;
  border-radius: 1.25rem;
  overflow: hidden;
}

.kustom-card-content .h1,
.kustom-h3,
.kustom-p {
  text-align: center;
}

.kustom-card-content .h1 {
  color: rgb(250 249 246);
  font-size: 2.6rem;
}

.kustom-card-content .kustom-h3 {
  color: #fff;
  text-transform: uppercase;
  font-size: 1.5rem;
}

.kustom-card-content .kustom-p {
  color: rgb(255 255 255 / 75%);
  line-height: 1.3rem;
}

@media(max-width: 700px) {
  .kustom-card {
    width: 100%;
    margin: 0rem 1rem;
    padding: 0.75rem;
    border-radius: 1rem;
  }
}

@media(max-width: 600px) {
  .kustom-card-content {
    padding: 3rem;
  }

  .kustom-card-content .h1 {
    font-size: 2.2rem;
  }
}

.button {
  cursor: pointer;
  font-size: 1.1rem;
  border-radius: 16px;
  border: none;
  padding: 2px;
  background: radial-gradient(circle 80px at 80% -10%, #ffffff, #181b1b);
  position: relative;
}

.button::after {
  content: "";
  position: absolute;
  width: 65%;
  height: 60%;
  border-radius: 120px;
  top: 0;
  right: 0;
  box-shadow: 0 0 20px #ffffff38;
  z-index: -1;
}

.blob1 {
  position: absolute;
  width: 70px;
  height: 100%;
  border-radius: 16px;
  bottom: 0;
  left: 0;
  background: radial-gradient(circle 60px at 0% 100%,
      #3fe9ff,
      #0000ff80,
      transparent);
  box-shadow: -10px 10px 30px #0051ff2d;
}

.inner {
  padding: 14px 25px;
  border-radius: 14px;
  color: #fff;
  z-index: 1;
  position: relative;
  background: radial-gradient(circle 80px at 80% -50%, #777777, #0f1111);
}

.inner::before {
  content: "";
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  border-radius: 14px;
  background: radial-gradient(circle 60px at 0% 100%,
      #00e1ff1a,
      #0000ff11,
      transparent);
  position: absolute;
}

.referral-input {
    border-right: none;
}

.referral-copy {
    border-left: none;
    background-color: transparent;
}

.referral-input,
.referral-copy {
    box-shadow: none;
}
